### Function

# Shumate VectorValue new

since: 1.6

#### Declaration [src]

    ShumateVectorValue*
    shumate_vector_value_new (
      void
    )

#### Description [src]

Creates a new `ShumateVectorValue` with a null value.

Available since: 1.6

#### Return value

Type: `ShumateVectorValue`

A new `ShumateVectorValue` with a null value.

The caller of the function takes ownership of the data, and is responsible for freeing it.